<?php

/*
Plugin Name: MongoLantern
Description: MongoLantern Fulltext Search Engine for Wordpress. This plugin will enable wordpress users to do fulltext search for their posts and pages. Requires mongodb - http://www.mongodb.org/
Version: 1.0.1 - alpha
Author: Skall - Techunits
Author URI: http://mongolantern.techunits.com
Plugin URI: http://mongolantern.techunits.com
*/

define('MONGOLANTERN_DIR', plugin_dir_path(__FILE__));
define('MONGOLANTERN_URL', plugin_dir_url(__FILE__));

//  include required files
require_once(MONGOLANTERN_DIR.'settings.php');
require_once(MONGOLANTERN_DIR.'lib'.DIRECTORY_SEPARATOR.'core.php');
require_once(MONGOLANTERN_DIR.'lib'.DIRECTORY_SEPARATOR.'MongoLantern'.DIRECTORY_SEPARATOR.'MongoLantern.php');

//  register required hooks
register_activation_hook(__FILE__, 'mongolantern_activation');
register_deactivation_hook(__FILE__, 'mongolantern_deactivation');


//  add requried filters
add_filter('plugin_action_links', 'mongolantern_settings_link', 2, 2);

add_action('admin_menu', 'mongolantern_menu');
add_action('parse_query', 'monlantern_wp_default_search_handler');



